Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.javahelp/1 2.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.javahelp
Class Help

    java.lang.Object
      org.netbeans.api.javahelp.Help

    public abstract class Help

extends Object

An implementation of the JavaHelp system. Get the concrete instance using lookup.

Constructor Summary
`protected` | `Help()` constructor for subclasses

Method Summary
`abstract void` | `addChangeListener(ChangeListener l)` Add a change listener for when help sets change.
`abstract Boolean` | `isValidID(String id, boolean force)` Test whether a given ID is valid in some known helpset.
`abstract void` | `removeChangeListener(ChangeListener l)` Remove a change listener.
`void` | `showHelp(HelpCtx ctx)` Shows help.
`abstract void` | `showHelp(HelpCtx ctx, boolean showmaster)` Shows help.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Help

    protected Help()

  constructor for subclasses

Method Detail

### isValidID

    public abstract Boolean isValidID(String id,
                                      boolean force)

  Test whether a given ID is valid in some known helpset. In lazy mode, should be a fast operation; if in doubt say you do not know.

  Parameters:
    `id` - the ID to check for validity
    `force` - if false, do not do too much work (be lazy) and if necessary return null; if true, must return non-null (meaning the call may block loading helpsets)
  Returns:
    whether it is valid, if this is known; else may be null (only permitted when force is false)

### showHelp

    public void showHelp(HelpCtx ctx)

  Shows help.

  Parameters:
    `ctx` - help context

### showHelp

    public abstract void showHelp(HelpCtx ctx,
                                  boolean showmaster)

  Shows help.

  Parameters:
    `ctx` - help context
    `showmaster` - whether to force the master helpset to be shown (full navigators) even though the supplied ID only applies to one subhelpset

### addChangeListener

    public abstract void addChangeListener(ChangeListener l)

  Add a change listener for when help sets change.

  Parameters:
    `l` - the listener to add

### removeChangeListener

    public abstract void removeChangeListener(ChangeListener l)

  Remove a change listener.

  Parameters:
    `l` - the listener to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.javahelp/1 2.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.